System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

Use the members of this enumeration when setting the parameter of the method.

Specifies how to write XML data and a relational schema from a .

- Field
  System.Data.XmlWriteMode To be added

  Writes the entire as a DiffGram, including original and current values. To generate a DiffGram containing only changed values, call , and then call as a DiffGram on the returned .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.XmlWriteMode To be added

  Writes the current contents of the as XML data, without an XSD schema. If no data is loaded into the , nothing is written.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.XmlWriteMode To be added

  Writes the current contents of the as XML data with the relational structure as inline XSD schema. If the has only a schema with no data, only the inline schema is written. If the does not have a current schema, nothing is written.

  1.0.5000.0
  2.0.0.0